Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class ElementValuePair

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.ElementValuePair

    public class ElementValuePair

extends Object

an annotation's element value pair

Since:
  5.3
Version:
  $Id: ElementValuePair
Author:
  D. Brosius

Constructor Summary
`ElementValuePair(int elementNameIndex, ElementValue elementValue, ConstantPool constantPool)`

Method Summary
`protected void` `dump(DataOutputStream dos)`
`String` `getNameString()`
`ElementValue` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementValuePair

    public ElementValuePair(int elementNameIndex,
                            ElementValue elementValue,
                            ConstantPool constantPool)

Method Detail

### getNameString

    public String getNameString()

### getValue

    public final ElementValue getValue()

### dump

    protected void dump(DataOutputStream dos)
                 throws IOException

  Throws:
    `IOException`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.